Create a Lead List

This API allows you to create a lead list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request POST \
     --url https://api-smartflo.tatateleservices.com/v1/broadcast/list \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

The following parameter is required to create a lead list:

Variable NameDescriptionData Type
name*Name of the broadcast list.String
description*Description of the broadcast list.String
fieldArray of custom fields for leads. Maximum: 11.Array of strings
enable_outbound_based_skillOutbound calls based on assigned skills (Yes/No).String
skill_list_idA list of skills assigned to the user for task routing.String

Response Variables

  • The response returned is as following:
Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String

==

Body Params
string
required

The name of the broadcast. For example, Home loan lead list.

string
required

The description related to broadcast. For example, list for home loan leads.

field
array of strings

The fields details associated with the lead list. For example, Name, Address, Email.

field
string
required
Defaults to 0
string

skill_list_id is required when enable_outbound_based_skill is 1

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json